TRANSFORMIX(1)

NAME
transformix - apply geometric transform to an image

SYNOPSIS
transformix mandatory-args [optional-args]

DESCRIPTION
transformix applies a transform on an input image and/or generates a deformation field. The transform is specified in the transform-parameter file.

OPTIONS
Call transformix from the command line with mandatory arguments:

-out      output directory

-tp       transform-parameter file, only 1

Optional extra commands:

-in       input image to deform

-def      file containing input-image points

    the point are transformed according to the specified transform-parameter file use "-def all" to transform all points from the input-image, which effectively generates a deformation field.

-jac      use "-jac all" to generate an image with the determinant of the spatial Jacobian

-jacmat   use "-jacmat all" to generate an image with the spatial Jacobian matrix at each voxel

-priority set the process priority to high or belownormal (Windows only)

-threads  set the maximum number of threads of transformix
    At least one of the options "-in", "-def", "-jac", or "-jacmat" should be given.

The transform-parameter file must contain all the information necessary for transformix to run properly. That includes which transform to use, with which parameters, etc. For a usable transform-parameter file, see the output of elastix.

SEE ALSO
elastix(1)

Check the website http://elastix.isi.uu.nl, or mail elastix.support@gmail.com.